
function showPopupWindowWithText(caption, text, width, height, capt_color, hidescroll){
    var wi = (width!==undefined)?width:880;
    var hi = (height!==undefined)?height:400;
    var cpt_cl = (capt_color!==undefined)?capt_color:'#FFFFFF';
    var scrovfw = "auto";
    if ((hidescroll!==undefined)&&(hidescroll == true)) scrovfw = "hidden";
    $("#popup_blocker").remove();
    $(document.body).prepend("<div id='popup_blocker' class='popup_blocker' style='display:none;'>"+
        "<div id='hs_popup_window' class='popup_window' style='max-width:"+wi+"px; max-height:"+hi+"px;'>"+
        "<div style='position: absolute; left:0px; top:0px; right:0px; height:35px; padding: 10px 40px 10px 15px; background-color: "+cpt_cl+"; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;'>"+caption+"</div>"+
        "<div id='hs_popup_text_container' style='overflow-y: "+scrovfw+"; position: absolute; left:15px; top:50px; right:15px; bottom:15px; line-height: 1.2;'>"+text+"</div>"+
        "<img id='popup_close_btn' class='popup_close_btn' style='z-index: 100;' onclick='hidePopupWindow();' src='img/exit_site.png'></div></div>");
    $("#popup_blocker").stop().fadeIn(300);
}

function hidePopupWindow(){
    $("#popup_blocker").stop().fadeOut(200, function () { $(this).remove();});
}

function lessonAudioTextBtnClick(name, audfile) {
    showPopupWindowWithText(name,"<audio style='width: 100%; height: 40px;' controls autoplay><source src='"+audfile+".mp3' type='audio/mp3'></audio>",400,112,"#b6e5f5",true);
}


